
const routes = [

  /**********************************
   *  Tab 页面
   *********************************/

  {
    name: '首页',
    page: 'pages/project/index',
    pgk: 'main',
    isTab: true,
    type: '',
  },
  {
    name: '积分商城',
    page: 'pages/shop/index',
    pgk: 'main',
    isTab: true,
    type: '',
  },
  {
    name: '活动资讯',
    page: 'pages/activity/activity',
    pgk: 'main',
    isTab: true,
    type: '',
  },
  {
    name: '个人中心',
    page: 'pages/person/index',
    pgk: 'main',
    isTab: true,
    type: '',
  },

  /********************************
   * 项目相关
   *******************************/
  {
    name: '项目列表',
    page: 'pages/project/list/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '地图看房',
    page: 'pages/project/map/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '项目详情',
    page: 'pages/project/detail/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '项目亮点',
    page: 'pages/project/detail/highLight',
    pgk: 'main',
    type: '',
  },
  {
    name: '楼盘周边',
    page: 'pages/project/detail/map',
    pgk: 'main',
    type: '',
  },
  {
    name: '楼盘信息',
    page: 'pages/project/floor/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '项目相册',
    page: 'pages/project/album/index',
    pgk: 'main',
    type: '',
  },


  /**************************************
   * 商城相关
   *************************************/
  {
    name: '积分规则',
    page: 'pages/shop/rule/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '积分明细',
    page: 'pages/shop/integralDetail/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '商品详情',
    page: 'pages/shop/detail/index',
    pgk: 'main',
    type: '',
  },


  /************************************
   * 个人中心
   ***********************************/
  {
    name: '登录',
    page: 'pages/person/login/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '我的分享',
    page: 'pages/person/myShare/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '我的活动',
    page: 'pages/activity/myActivity',
    pgk: 'main',
    type: '',
  },
  {
    name: '我的拼团',
    page: 'pages/activity/assemblePage',
    pgk: 'main',
    type: '',
  },
  {
    name: '我的助力',
    page: 'pages/activity/assistancePage',
    pgk: 'main',
    type: '',
  },
  {
    name: '我的推广码',
    page: 'pages/person/spread/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '我的卡片',
    page: 'pages/card/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '我的客户',
    page: 'pages/person/myGuest/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '我的收藏',
    page: 'pages/person/favorite/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '个人资料',
    page: 'pages/person/personDetail/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '编辑资料',
    page: 'pages/person/personDetail/editDetail/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '每日签到',
    page: 'pages/signin/index',
    pgk: 'main',
    type: '',
  },


  /****************************************
   * 置业相关
   ***************************************/
  {
    name: '置业列表',
    page: 'pages/card/list/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '置业绑定',
    page: 'pages/card/register/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '咨询列表',
    page: 'pages/im/list/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '聊天咨询',
    page: 'pages/im/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '卡片围观记录',
    page: 'pages/card/fans/index',
    pgk: 'main',
    type: '',    
  },

  /***********************************
   * 客户相关
   **********************************/
  {
    name: '访客信息',
    page: 'pages/person/myShare/accessRecord',
    pgk: 'main',
    type: '',
  },
  {
    name: '客户详情',
    page: 'pages/person/myGuest/editGuest/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '报备客户',
    page: 'pages/report/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '报备授权',
    page: 'pages/report/login/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '报备详情',
    page: 'pages/report/detail/index',
    pgk: 'main',
    type: '',
  },


  /************************************
   * 活动资讯
   ***********************************/
  {
    name: 'H5',
    page: 'pages/project/h5Page',
    pgk: 'main',
    type: '',
  },
  {
    name: '活动详情',
    page: 'pages/activity/detail/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '助力详情',
    page: 'pages/activity/detail/assistance',
    pgk: 'main',
    type: '',
  },
  {
    name: '拼团详情',
    page: 'pages/activity/detail/assemble',
    pgk: 'main',
    type: '',
  },
  {
    name: '资讯详情',
    page: 'pages/news/detail/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '签到',
    page: 'pages/checkin/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '签到结果',
    page: 'pages/checkin/checkinsuccess/index',
    pgk: 'main',
    type: '',
  },

  /*****************************************
   * 其他
   ****************************************/
  {
    name: '授权',
    page: 'pages/person/authorize/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '授权',
    page: 'pages/auth/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '购房政策列表',
    page: 'pages/policy/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '购房政策详情',
    page: 'pages/policy/detail/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '房贷计算器',
    page: 'pages/toolKit/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '房贷计算结果',
    page: 'pages/toolKit/calculateResult/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '城市列表',
    page: 'pages/city/index',
    pgk: 'main',
    type: '',
  },
  {
    name: '外链容器页',
    page: 'pages/project/panorama/index',
    pgk: 'main',
    type: '',
  },

  /**
   * 子包: 在线购房
   */
  {
    name: '房源列表',
    page: 'pages/houseList/index',
    pgk: 'onlineSelling',
    type: '',
  },
  {
    name: '认筹流程',
    page: 'pages/raiseMoney/index',
    pgk: 'onlineSelling',
    type: '',
  },
  {
    name: '合同签署结果',
    page: 'pages/raiseMoney/signResult',
    pgk: 'onlineSelling',
    type: '',
  },
  {
    name: '实名认证',
    page: 'pages/raiseMoney/Certification',
    pgk: 'onlineSelling',
    type: '',
  },
  {
    name: '直播详情',
    page: 'pages/live/index',
    pgk: 'onlineSelling',
    type: '',
  },
  {
    name: '选房帮助',
    page: 'pages/help/index',
    pgk: 'onlineSelling',
    type: '',
  },
  {
    name: '选房记录',
    page: 'pages/records/index',
    pgk: 'onlineSelling',
    type: '',
  },
  {
    name: '房源详情',
    page: 'pages/detail/index',
    pgk: 'onlineSelling',
    type: '',
  },
  {
    name: '预选结果',
    page: 'pages/detail/resultPage',
    pgk: 'onlineSelling',
    type: '',
  },
  {
    name: '筛选房源',
    page: 'pages/screenHouse/index',
    pgk: 'onlineSelling',
    type: '',
  },
  {
    name: '选择置业',
    page: 'pages/chooseConsultant/index',
    pgk: 'onlineSelling',
    type: '',
  },
  {
    name: '认筹协议',
    page: 'pages/protocol/index',
    pgk: 'onlineSelling',
    type: '',
  },
  {
    name: '认筹单',
    page: 'pages/raiseProfile/index',
    pgk: 'onlineSelling',
    type: '',
  },
  {
    name: '房源清单',
    page: 'pages/raiseProfile/houseResource',
    pgk: 'onlineSelling',
    type: '',
  },
  {
    name: '添加预选房源',
    page: 'pages/addHouse/index',
    pgk: 'onlineSelling',
    type: '',
  },
  {
    name: '添加其他房源',
    page: 'pages/houseCart/index',
    pgk: 'onlineSelling',
    type: '',
  },


  /**
   * 子包: 不常用功能
   */
  {
    name: '盘客工具',
    page: 'pages/person/customerAnalysis/index',
    pgk: 'useless',
    type: '',
  },
  {
    name: '我的客户',   // 置业-我的客户
    page: 'pages/person/customerAnalysis/myCustomer',
    pgk: 'useless',
    type: '',
  },
  {
    name: '客户分析',
    page: 'pages/person/customerAnalysis/analysis',
    pgk: 'useless',
    type: '',
  },
  {
    name: '我的资料',
    page: 'pages/person/profile/index',
    pgk: 'useless',
    type: '',
  },
  {
    name: '资料审核',
    page: 'pages/person/profile/detail/index',
    pgk: 'useless',
    type: '',
  },
  {
    name: '我的主页',
    page: 'pages/agent/index',
    pgk: 'useless',
    type: '',
  },
  {
    name: '成为经纪人',
    page: 'pages/agent/become/index',
    pgk: 'useless',
    type: '',
  },
  {
    name: '推荐客户',
    page: 'pages/agent/recommend/index',
    pgk: 'useless',
    type: '',
  },
  {
    name: '我的客户',   // 经纪人-我的客户
    page: 'pages/agent/client/index',
    pgk: 'useless',
    type: '',
  },
  {
    name: '客户审核进度',
    page: 'pages/agent/progress/index',
    pgk: 'useless',
    type: '',
  },
  {
    name: '意见反馈',
    page: 'pages/person/feedback/index',
    pgk: 'useless',
    type: '',
  },
  {
    name: '积分兑换记录',
    page: 'pages/shop/record/index',
    pgk: 'useless',
    type: '',
  },
  // {
  //   name: '我的邀请',
  //   page: 'pages/agent/invitation/index',
  //   pgk: 'useless',
  //   type: '',
  // },

]


/**
 * 获取 app pages 列表
 */
function getPages() {
  const grp = routes.reduce((g, r) => {
    const { pgk, page } = r
    const pg = g[pgk] || []
    
    return {
      ...g,
      [`${pgk}`]: pg.concat(page),
    }
  }, {});

  const { main, ...pkgs } = grp

  return {
    pages: main,
    subPackages: Object.keys(pkgs).map((name) => {
      return {
        root: name,
        pages: pkgs[name]
      }
    })
  }
}

export {
  routes,
  getPages,
}
